﻿
using NHibernate;
using NPersistence;

namespace EstimateTracker.DataAccess
{
    public interface IPersistenceManager
    {
        TypedQuery<T> GetNamedQuery<T>(string name);
        Query GetQuery(string name);
        ICriteria BuildCriteria<T>() where T : class;
        EntityTransaction Transaction { get; }
        void Persist(object entity);
    }
}