﻿using System;
using NPersistence;

namespace EstimateTracker.Domain.Entities
{
    [Entity]
    public class HoursWorked
    {
        [Id][GeneratedValue]
        public virtual int Id { get; set; }

        [Column]
        public virtual double Hours { get; set; }

        [Column]
        public virtual DateTime DateAndTimeFinished { get; set; }

        [ManyToOne]
        [JoinColumn(Name = "Task_id")]
        public virtual Task Task { get; set; }
    }
}