namespace EstimateTracker.ViewModels
{
    public class DailySummary :ViewModelBase
    {
        public DailySummary(string project, string activity, string task, double estimatedHours, double actual)
        {
            Project = project;
            Activity = activity;
            Task = task;
            EstimatedHours = estimatedHours;
            Actual = actual;
            
        }

        public string Project { get; private set; }
        public string Activity { get; private set; }
        public string Task { get; private set; }
        public double EstimatedHours { get; private set; }
        public double Actual { get; private set; }
    }
}