﻿using System;
using System.Collections.Generic;
using EstimateTracker.Domain.Entities;

namespace EstimateTracker.DataAccess.Repositories
{
    public interface ITaskRepository
    {
        void Save(Task activity);
        IEnumerable<Task> FindByActivityId(int id);
        double FindActualsForTask(int id);
        IEnumerable<object[]> FindActualsForDay(DateTime date);
    }
}