﻿using System.Collections.Generic;
using NPersistence;

namespace EstimateTracker.Domain.Entities
{
    [Entity]
    public class Project
    {
        [Id][GeneratedValue(Strategy = GenerationType.IDENTITY)]
        public virtual int Id { get; set; }

        [Column]
        public virtual string Name { get; set; }

        [OneToMany(MappedBy = "Project")]
        public virtual IList<Activity> Activities { get; set; }
    }
}